net.sourceforge.pmd.lang.jsp.ast

## Class SyntaxErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sourceforge.pmd.lang.ast.ParseException
        - - net.sourceforge.pmd.lang.jsp.ast.ParseException
          - - net.sourceforge.pmd.lang.jsp.ast.SyntaxErrorException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    StartAndEndTagMismatchException

      public abstract class SyntaxErrorException
      extends ParseException

  Author:
    Pieter_Van_Raemdonck Exception indicating that a syntactic error has been found.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.jsp.ast.ParseException

      `currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxErrorException(int line, String ruleName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLine()`
    `String` | `getRuleName()`

    - ### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.ParseException

      `add_escapes, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyntaxErrorException

          public SyntaxErrorException(int line,
                              String ruleName)

      Parameters:
        `line` -
        `ruleName` -

  - ### Method Detail

    - #### getLine

          public int getLine()

      Returns:
        Returns the line.

    - #### getRuleName

          public String getRuleName()

      Returns:
        Returns the ruleName.

Copyright © 2002-2013 InfoEther. All Rights Reserved.